package ink.wgink.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: UpdatePhoneUsernameVO
 * @Description: 更改手机用户名
 * @Author: wanggeng
 * @Date: 2022/11/1 16:51
 * @Version: 1.0
 */
@ApiModel
public class UpdatePhoneUsernameVO {

    @ApiModelProperty(name = "newPhone", value = "新手机号")
    @CheckEmptyAnnotation(name = "新手机号", verifyType = "newPhone")
    private String newPhone;
    @ApiModelProperty(name = "verificationCode", value = "verificationCode")
    @CheckEmptyAnnotation(name = "验证码")
    private String verificationCode;

    public String getNewPhone() {
        return newPhone == null ? "" : newPhone.trim();
    }

    public void setNewPhone(String newPhone) {
        this.newPhone = newPhone;
    }

    public String getVerificationCode() {
        return verificationCode == null ? "" : verificationCode.trim();
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }
}
