package ink.wgink.module.wechat.pay.service.v3.nav;

import ink.wgink.module.wechat.pay.pojo.v3.jsapi.pojo.PayPlaceOrder;

/**
 * @ClassName: INativeService
 * @Description: native支付
 * @Author: wanggeng
 * @Date: 2022/11/10 17:15
 * @Version: 1.0
 */
public interface INativeService {

    /**
     * 下单
     *
     * @param payPlaceOrder
     * @return 此URL用于生成支付二维码，然后提供给用户扫码支付。<br/>
     * 注意：code_url并非固定值，使用时按照URL格式转成二维码即可。<br/>
     * 示例值：weixin://wxpay/bizpayurl/up?pr=NwY5Mz9&groupid=00
     * @throws Exception
     */
    String placeOrder(PayPlaceOrder payPlaceOrder) throws Exception;

}
