package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: RefundsPromotionDetailTypeEnum
 * @Description: 退款优惠类型枚举
 * @Author: wanggeng
 * @Date: 2022/11/11 18:01
 * @Version: 1.0
 */
public enum RefundPromotionDetailTypeEnum {

    COUPON("COUPON", "代金券，需要走结算资金的充值型代金券"),
    DISCOUNT("DISCOUNT", "优惠券，不走结算资金的免充值型优惠券");

    private String value;
    private String text;

    RefundPromotionDetailTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
