package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: RefundsStatusEnum
 * @Description: 退款状态
 * @Author: wanggeng
 * @Date: 2022/11/10 21:41
 * @Version: 1.0
 */
public enum RefundStatusEnum {

    SUCCESS("SUCCESS","退款成功"),
    CLOSED("CLOSED", "退款关闭"),
    PROCESSING("PROCESSING", "退款处理中"),
    ABNORMAL("ABNORMAL", "退款异常");

    private String value;
    private String text;

    RefundStatusEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
